Installing Lexmark X1100 series on fc6

I unfortunately bought a Lexmark X1170 all in one two years back, it was cheap and got both printer and scanner. It worked fine on Windows. It was just paper weight ever since I moved to Linux.

I struck luck yesterday, when I stumbled upon a forum posting on Ubuntu forum.

So I started out straightaway, but had trouble getting the correct drivers from Lexmark site, as instructed in the forum (Got 404). So I went and searched in opendrivers.com and fortunately found it. To help all the poor soles to get the drivers easily I have hosted the rpms. If you download these rpms you can skip the part upto converting the rpms with alien if you are using a debian based system, or install the rpms and continue from restarting CUPS.

Here are the links:
http://www.mohanjith.net/downloads/d…1.0-1.i386.rpm
http://www.mohanjith.net/downloads/drivers/printers/lexmark/z600llpddk-2.0-1.i386.rpm

The instructions worked like a charm, and now I’m making use of my printer finally. From my point of view X1100 series is a repackage of Z600 series with a scanner.

Even though the scanner was correctly detected by SANE, I was unable to scan. But the version of sane that comes with Fedora Core 6 (Zod) is old.

If you enjoyed this post, make sure you subscribe to my RSS feed!

5 thoughts on “Installing Lexmark X1100 series on fc6

  1. Hi!!
    i’m trying to install a Lexmark X1170 on a PCLinuxOS 2009 (rpm)
    first driver (z600llpddk…) goes without any problem, but the other gives an error. I don’t know why but it says “cups >= 1:1.1.15-10 needed for z600cups…”.
    Then i go to the synaptic and the version i have installed is “1.3.10-6pclos2009”
    i don’t know what to do and i don’t know where to look.
    any solution??
    thanks!!!

Leave a Comment